> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/product-tour/records/record-kpi.md).

# Record KPI

Show currency and percentage fields as KPI rings inside a GM - Record Layout.

GridMate provides a component to display number or percentage values in a graphical view.

In this tutorial, we will setup a Record KPI of the opportunity Amount and Opportunity. Below is a quick demo on how to configure the KPI components.

{% embed url="<https://youtu.be/vkD3I7myb-Y>" %}
GM - Record Kpi
{% endembed %}

```json
{
   "sections": [
      {
         "name": "opportunityKPIList",
         "label": "Opportunity KPI",
         "active": true,
         "cols": 3,
         "rows": [
            [
               {
                  "apiName": "ExpectedRevenue",
                  "managedComponent": true,
                  "componentDef": {
                     "component": "gmpkg:kPICurrencyFieldLWC",
                     "attributes": {
                        "color": "red",
                        "radius": "15rem",
                        "thickness": "2rem"
                     }
                  }
               },
               {
                  "apiName": "Amount",
                  "managedComponent": true,
                  "componentDef": {
                     "component": "gmpkg:kPICurrencyFieldLWC",
                     "attributes": {
                        "color": "#78b0fd",
                        "radius": "10rem",
                        "thickness": "0.5rem"
                     }
                  }
               },
               {
                  "apiName": "Probability",
                  "managedComponent": true,
                  "componentDef": {
                     "component": "gmpkg:kPIPercentageFieldLWC",
                     "attributes": {
                        "color": "#45c65a",
                        "radius": "15rem",
                        "thickness": "2rem"
                     }
                  }
               }
            ]
         ]
      }
   ]
}
```

As you can see, KPI component is used with the [GM - Record Layout ](https://docs.gridmate.io/package-reference/components-library/records/gm-record-layout.md)component. We configured three Opportunity fields as KPI : Expected Revenue, Amount and Probability.

As of today we support two KPI: **Currency** and **Percentage**.

{% tabs %}
{% tab title="Currency KPI" %}

```json
{
   "apiName": "ExpectedRevenue",
   "managedComponent": true,
   "componentDef": {
      "component": "gmpkg:kPICurrencyFieldLWC",
      "attributes": {
         "color": "red",
         "radius": "15rem",
         "thickness": "2rem"
      }
   }
}
```

* **component**: gmpkg:kPICurrencyFieldLWC
* **color:** Ring coloring (default value is #0176d3)
* **radius :** Ring size (default value is 10rem)
* **thickness**: Ring thickness (default value is 1.5rem)
  {% endtab %}

{% tab title="Percentage KPI" %}

```json
{
   "apiName": "Probability",
   "managedComponent": true,
   "componentDef": {
      "component": "gmpkg:kPIPercentageFieldLWC",
      "attributes": {
         "color": "#45c65a",
         "radius": "15rem",
         "thickness": "2rem"
      }
   }
}
```

* **component**: gmpkg:kPIPercentageFieldLWC
* **color:** Ring coloring (default value is #0176d3)
* **radius :** Ring size (default value is 10rem)
* **thickness**: Ring thickness (default value is 1.5rem)
  {% endtab %}
  {% endtabs %}

## Next steps

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>GM - Record Layout</strong></td><td>Every property of the component that hosts the KPIs.</td><td><a href="https://docs.gridmate.io/package-reference/components-library/records/gm-record-layout.md">GM - Record Layout</a></td></tr><tr><td><strong>Record Layout</strong></td><td>Display a record or a related parent record with a JSON layout and record actions.</td><td><a href="https://docs.gridmate.io/product-tour/records/record-layout.md">Record Layout</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/product-tour/records/record-kpi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
